GWT 2.7.0

## com.google.gwt.typedarrays.client
Class Uint32ArrayNative

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.typedarrays.client.ArrayBufferViewNative
              com.google.gwt.typedarrays.client.Uint32ArrayNative

All Implemented Interfaces:
  ArrayBufferView, Uint32Array

    public final class Uint32ArrayNative

extends ArrayBufferViewNative
implements Uint32Array

JS native implementation of `Uint32Array`.

Field Summary

Fields inherited from interface com.google.gwt.typedarrays.shared.Uint32Array
`BYTES_PER_ELEMENT`

Constructor Summary
`protected` | `Uint32ArrayNative()`

Method Summary
`static Uint32ArrayNative` | `create(ArrayBuffer buffer)`
`static Uint32ArrayNative` | `create(ArrayBuffer buffer, int byteOffset)`
`static Uint32ArrayNative` | `create(ArrayBuffer buffer, int byteOffset, int length)`
`static Uint32ArrayNative` | `create(int length)`
`long` | `get(int index)` Retrieve one element of this view.
`double` | `getAsDouble(int index)` Retrieve one element of this view.
`int` | `length()` The length in elements of this view.
`void` | `set(double[] array)` Set multiple elements in this view from an array, storing starting at 0.
`void` | `set(double[] array, int offset)` Set multiple elements in this view from an array, storing starting at the requested offset.
`void` | `set(int index, double value)` Set one element in this view.
`void` | `set(int index, long value)` Set one element in this view.
`void` | `set(long[] array)` Set multiple elements in this view from an array, storing starting at 0.
`void` | `set(long[] array, int offset)` Set multiple elements in this view from an array, storing starting at the requested offset.
`void` | `set(Uint32Array array)` Set multiple elements in this view from another view, storing starting at 0.
`void` | `set(Uint32Array array, int offset)` Set multiple elements in this view from another view, storing starting at the requested offset.
`Uint32Array` | `subarray(int begin)` Create a new view from the same array, from `offset` to the end of this view.
`Uint32Array` | `subarray(int begin, int end)` Create a new view from the same array, from `offset` to (but not including) `end` in this view.

Methods inherited from class com.google.gwt.typedarrays.client.ArrayBufferViewNative
`buffer, byteLength, byteOffset`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gwt.typedarrays.shared.ArrayBufferView
`buffer, byteLength, byteOffset`

Constructor Detail

### Uint32ArrayNative

    protected Uint32ArrayNative()

Method Detail

### create

    public static Uint32ArrayNative create(ArrayBuffer buffer)

  Parameters:
    `buffer` -
  Returns:
    a `Uint32Array` instance

### create

    public static Uint32ArrayNative create(ArrayBuffer buffer,
                                           int byteOffset)

  Parameters:
    `buffer` -
    `byteOffset` -
  Returns:
    a `Uint32Array` instance

### create

    public static Uint32ArrayNative create(ArrayBuffer buffer,
                                           int byteOffset,
                                           int length)

  Parameters:
    `buffer` -
    `byteOffset` -
    `length` -
  Returns:
    a `Uint32Array` instance

### create

    public static Uint32ArrayNative create(int length)

  Parameters:
    `length` -
  Returns:
    a `Uint32Array` instance

### get

    public long get(int index)

  Description copied from interface: `Uint32Array`
  Retrieve one element of this view.

  Specified by:
    `get` in interface `Uint32Array`
  Returns:
    the requested element

### getAsDouble

    public double getAsDouble(int index)

  Description copied from interface: `Uint32Array`
  Retrieve one element of this view.

  Specified by:
    `getAsDouble` in interface `Uint32Array`
  Returns:
    the requested element as a double

### length

    public int length()

  Description copied from interface: `Uint32Array`
  The length in elements of this view.

  Specified by:
    `length` in interface `Uint32Array`
  Returns:
    non-negative length

### set

    public void set(double[] array)

  Description copied from interface: `Uint32Array`
  Set multiple elements in this view from an array, storing starting at 0.

  Specified by:
    `set` in interface `Uint32Array`

### set

    public void set(double[] array,
                    int offset)

  Description copied from interface: `Uint32Array`
  Set multiple elements in this view from an array, storing starting at the requested offset.

  Specified by:
    `set` in interface `Uint32Array`

### set

    public void set(int index,
                    double value)

  Description copied from interface: `Uint32Array`
  Set one element in this view.

  Specified by:
    `set` in interface `Uint32Array`

### set

    public void set(int index,
                    long value)

  Description copied from interface: `Uint32Array`
  Set one element in this view.

  Specified by:
    `set` in interface `Uint32Array`

### set

    public void set(long[] array)

  Description copied from interface: `Uint32Array`
  Set multiple elements in this view from an array, storing starting at 0.

  Specified by:
    `set` in interface `Uint32Array`

### set

    public void set(long[] array,
                    int offset)

  Description copied from interface: `Uint32Array`
  Set multiple elements in this view from an array, storing starting at the requested offset.

  Specified by:
    `set` in interface `Uint32Array`

### set

    public void set(Uint32Array array)

  Description copied from interface: `Uint32Array`
  Set multiple elements in this view from another view, storing starting at 0.

  Specified by:
    `set` in interface `Uint32Array`

### set

    public void set(Uint32Array array,
                    int offset)

  Description copied from interface: `Uint32Array`
  Set multiple elements in this view from another view, storing starting at the requested offset.

  Specified by:
    `set` in interface `Uint32Array`

### subarray

    public Uint32Array subarray(int begin)

  Description copied from interface: `Uint32Array`
  Create a new view from the same array, from `offset` to the end of this view. These offset is clamped to legal indices into this view, so it is not an error to specify an invalid index.

  Specified by:
    `subarray` in interface `Uint32Array`
  Parameters:
    `begin` - offset into this view if non-negative; if negative, an index from the end of this view
  Returns:
    a new `Uint32Array` instance

### subarray

    public Uint32Array subarray(int begin,
                                int end)

  Description copied from interface: `Uint32Array`
  Create a new view from the same array, from `offset` to (but not including) `end` in this view. These indices are clamped to legal indices into this view, so it is not an error to specify invalid indices.

  Specified by:
    `subarray` in interface `Uint32Array`
  Parameters:
    `begin` - offset into this view if non-negative; if negative, an index from the end of this view
    `end` - offset into this view if non-negative; if negative, an index from the end of this view
  Returns:
    a new `Uint32Array` instance

GWT 2.7.0